org.wildfly.swarm.config.elytron

## Class KeyStore<T extends KeyStore<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.KeyStore<T>

-     public class KeyStore<T extends KeyStore<T>>
      extends Object

  A KeyStore definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStore(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `aliasFilter()` A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2
    `T` | `aliasFilter(String value)` A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2
    `String` | `attributeSynchronized()` The time this KeyStore was last loaded or saved.
    `T` | `attributeSynchronized(String value)` The time this KeyStore was last loaded or saved.
    `Map` | `credentialReference()` The reference to credential stored in CredentialStore under defined alias or clear text password.
    `T` | `credentialReference(Map value)` The reference to credential stored in CredentialStore under defined alias or clear text password.
    `T` | `credentialReference(String key, Object value)` The reference to credential stored in CredentialStore under defined alias or clear text password.
    `String` | `getKey()`
    `Map` | `loadedProvider()` Information about the provider that was used for this KeyStore.
    `T` | `loadedProvider(Map value)` Information about the provider that was used for this KeyStore.
    `T` | `loadedProvider(String key, Object value)` Information about the provider that was used for this KeyStore.
    `Boolean` | `modified()` Indicates if the in-memory representation of the KeyStore has been changed since it was last loaded or stored.
    `T` | `modified(Boolean value)` Indicates if the in-memory representation of the KeyStore has been changed since it was last loaded or stored.
    `String` | `path()` The path to the KeyStore file.
    `T` | `path(String value)` The path to the KeyStore file.
    `String` | `providerName()` The name of the provider to use to load the KeyStore, disables searching for the first Provider that can create a KeyStore of the specified type.
    `T` | `providerName(String value)` The name of the provider to use to load the KeyStore, disables searching for the first Provider that can create a KeyStore of the specified type.
    `String` | `providers()` A reference to the providers that should be used to obtain the list of Provider instances to search, if not specified the global list of providers will be used instead.
    `T` | `providers(String value)` A reference to the providers that should be used to obtain the list of Provider instances to search, if not specified the global list of providers will be used instead.
    `String` | `relativeTo()` The base path this store is relative to.
    `T` | `relativeTo(String value)` The base path this store is relative to.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `required()` Is the file required to exist at the time the KeyStore service starts?
    `T` | `required(Boolean value)` Is the file required to exist at the time the KeyStore service starts?
    `Integer` | `size()` The number of entries in the KeyStore.
    `T` | `size(Integer value)` The number of entries in the KeyStore.
    `State` | `state()` The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.
    `T` | `state(State value)` The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.
    `String` | `type()` The type of the KeyStore, used when creating the new KeyStore instance.
    `T` | `type(String value)` The type of the KeyStore, used when creating the new KeyStore instance.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStore

          public KeyStore(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### aliasFilter

          public String aliasFilter()

      A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2

    - #### aliasFilter

          public T aliasFilter(String value)

      A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2

    - #### credentialReference

          public Map credentialReference()

      The reference to credential stored in CredentialStore under defined alias or clear text password.

    - #### credentialReference

          public T credentialReference(Map value)

      The reference to credential stored in CredentialStore under defined alias or clear text password.

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      The reference to credential stored in CredentialStore under defined alias or clear text password.

    - #### loadedProvider

          public Map loadedProvider()

      Information about the provider that was used for this KeyStore.

    - #### loadedProvider

          public T loadedProvider(Map value)

      Information about the provider that was used for this KeyStore.

    - #### loadedProvider

          public T loadedProvider(String key,
                                  Object value)

      Information about the provider that was used for this KeyStore.

    - #### modified

          public Boolean modified()

      Indicates if the in-memory representation of the KeyStore has been changed since it was last loaded or stored. Note: For some providers updates may be immediate without further load or store calls.

    - #### modified

          public T modified(Boolean value)

      Indicates if the in-memory representation of the KeyStore has been changed since it was last loaded or stored. Note: For some providers updates may be immediate without further load or store calls.

    - #### size

          public Integer size()

      The number of entries in the KeyStore.

    - #### size

          public T size(Integer value)

      The number of entries in the KeyStore.

    - #### state

          public State state()

      The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.

    - #### state

          public T state(State value)

      The state of the underlying service that represents this KeyStore at runtime, if it is anything other than UP runtime operations will not be available.

    - #### attributeSynchronized

          public String attributeSynchronized()

      The time this KeyStore was last loaded or saved. Note: Some providers may continue to apply updates after the KeyStore was loaded within the application server.

    - #### attributeSynchronized

          public T attributeSynchronized(String value)

      The time this KeyStore was last loaded or saved. Note: Some providers may continue to apply updates after the KeyStore was loaded within the application server.

    - #### path

          public String path()

      The path to the KeyStore file.

    - #### path

          public T path(String value)

      The path to the KeyStore file.

    - #### relativeTo

          public String relativeTo()

      The base path this store is relative to.

    - #### relativeTo

          public T relativeTo(String value)

      The base path this store is relative to.

    - #### required

          public Boolean required()

      Is the file required to exist at the time the KeyStore service starts?

    - #### required

          public T required(Boolean value)

      Is the file required to exist at the time the KeyStore service starts?

    - #### providerName

          public String providerName()

      The name of the provider to use to load the KeyStore, disables searching for the first Provider that can create a KeyStore of the specified type.

    - #### providerName

          public T providerName(String value)

      The name of the provider to use to load the KeyStore, disables searching for the first Provider that can create a KeyStore of the specified type.

    - #### providers

          public String providers()

      A reference to the providers that should be used to obtain the list of Provider instances to search, if not specified the global list of providers will be used instead.

    - #### providers

          public T providers(String value)

      A reference to the providers that should be used to obtain the list of Provider instances to search, if not specified the global list of providers will be used instead.

    - #### type

          public String type()

      The type of the KeyStore, used when creating the new KeyStore instance.

    - #### type

          public T type(String value)

      The type of the KeyStore, used when creating the new KeyStore instance.

Copyright © 2018 JBoss by Red Hat. All rights reserved.